Intrusion Prevention

Jenkins.CI.Server.LocaleDrivenResourceSelector.Path.Traversal

Description

This indicates an attack attempt to exploit an Arbitrary File Read Vulnerability in Jenkins.
The vulnerability is due to an error in the vulnerable application when handling a maliciously crafted request. An attacker can exploit this to disclose sensitive information on the affected machine via a crafted request.

Affected Products

Jenkins LTS prior to 2.121.2
Jenkins weekly prior to 2.133

Impact

Information Disclosure: Remote attackers can gain sensitive information from vulnerable systems.

Recommended Actions

Apply the most recent upgrade or patch from the vendor:
https://jenkins.io/security/advisory/2018-07-18/

CVE References

CVE-2018-1999002